## wxwidgets3.2 3.2.2+dfsg

=== build/cmake/samples/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/samples/CMakeLists.txt
# Purpose:     CMake script to build samples
# Author:      Tobias Taschner
# Created:     2016-10-04
# Copyright:   (c) 2016 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

wx_add_sample(access accesstest.cpp DEPENDS wxUSE_ACCESSIBILITY)
wx_add_sample(animate anitest.cpp anitest.h DATA throbber.gif hourglass.ani DEPENDS wxUSE_ANIMATIONCTRL)
wx_add_sample(archive CONSOLE)
wx_add_sample(artprov arttest.cpp artbrows.cpp artbrows.h)
wx_add_sample(aui auidemo.cpp LIBRARIES wxaui wxhtml NAME auidemo DEPENDS wxUSE_AUI)
wx_add_sample(calendar DEPENDS wxUSE_CALENDARCTRL)
wx_add_sample(caret DEPENDS wxUSE_CARET)
wx_add_sample(clipboard DEPENDS wxUSE_CLIPBOARD)
wx_add_sample(collpane DEPENDS wxUSE_COLLPANE)
wx_add_sample(combo DATA dropbuth.svg dropbutn.svg dropbutp.svg three-dots.svg DEPENDS wxUSE_COMBOCTRL)
wx_add_sample(config conftest.cpp DEPENDS wxUSE_CONFIG)
wx_add_sample(console CONSOLE IMPORTANT)
wx_add_sample(dataview IMPORTANT dataview.cpp mymodels.cpp mymodels.h DEPENDS wxUSE_DATAVIEWCTRL)
if(wxUSE_ON_FATAL_EXCEPTION AND (NOT WIN32 OR MSVC))
    wx_add_sample(debugrpt LIBRARIES wxqa DEPENDS wxUSE_DEBUGREPORT)
endif()
set(SAMPLE_DIALOGS_SRC dialogs.cpp dialogs.h)
if(NOT wxBUILD_SHARED AND (WXMSW OR APPLE)) # AND NOT WXUNIV
    wx_list_add_prefix(SAMPLE_DIALOGS_SRC ../../src/generic/ colrdlgg.cpp dirdlgg.cpp filedlgg.cpp)
    if(WXMSW)
        wx_list_add_prefix(SAMPLE_DIALOGS_SRC ../../src/generic/ fontdlgg.cpp)
    endif()
endif()
if(WXGTK2)
    wx_list_add_prefix(SAMPLE_DIALOGS_SRC ../../src/generic/ filedlgg.cpp)
endif()
wx_add_sample(dialogs ${SAMPLE_DIALOGS_SRC} DATA tips.txt)
wx_add_sample(dialup nettest.cpp LIBRARIES wxnet DEPENDS wxUSE_DIALUP_MANAGER)
wx_add_sample(display)
wx_add_sample(dnd dnd.cpp RES dnd.rc DATA wxwin.png DEPENDS wxUSE_DRAG_AND_DROP)
wx_add_sample(docview docview.cpp doc.cpp view.cpp docview.h doc.h view.h
    RES docview.rc PLIST Info.plist.in LIBRARIES wxaui DEPENDS wxUSE_DOC_VIEW_ARCHITECTURE)
wx_add_sample(dragimag dragimag.cpp dragimag.h RES dragimag.rc
    DATA backgrnd.png shape01.png shape02.png shape03.png
    DEPENDS wxUSE_DRAGIMAGE)
wx_add_sample(drawing DATA pat4.bmp pat35.bmp pat36.bmp image.bmp mask.bmp NAME drawingsample)
wx_add_sample(erase)
wx_add_sample(event event.cpp gestures.cpp gestures.h chessboard.cpp chessboard.h)
wx_add_sample(except DEPENDS wxUSE_EXCEPTIONS)
wx_add_sample(exec)
wx_add_sample(font DATA wxprivate.ttf)
wx_add_sample(fswatcher DEPENDS wxUSE_FSWATCHER)
wx_add_sample(grid griddemo.cpp griddemo.h DEPENDS wxUSE_GRID)

wx_list_add_prefix(HELP_DOC_FILES doc/
    aindex.html down.gif dxxgifs.tex HIER.html icon1.gif icon2.gif index.html
    logo.gif wx204.htm wx34.htm wxExtHelpController.html wxhelp.map wx.htm
    )
wx_add_sample(help demo.cpp LIBRARIES wxhtml
    DATA
    back.gif bullet.bmp contents.gif cshelp.txt doc.chm doc.cnt doc.hhc
    doc.hhk doc.hhp doc.hlp doc.hpj doc.zip forward.gif up.gif
    ${HELP_DOC_FILES}
    NAME helpdemo
    DEPENDS wxUSE_HELP
    )
wx_add_sample(htlbox LIBRARIES wxhtml DEPENDS wxUSE_HTML)
if(wxUSE_HTML)
    include(html.cmake)
endif()
wx_add_sample(image image.cpp canvas.cpp canvas.h cursor_png.c RES image.rc
    DATA horse.png horse.jpg horse.bmp horse.gif horse.pcx horse.pnm
    horse_ag.pnm horse_rg.pnm horse.tif horse.tga horse.xpm horse.cur
    horse.ico horse3.ani horse.svg smile.xbm toucan.png cmyk.jpg cursor.png
    NAME imagesample DEPENDS wxUSE_IMAGE)
foreach(lang ar bg cs de fr it ka pl ru sv ja ja_JP.EUC-JP)
    list(APPEND INTERNAT_DATA_FILES ${lang}/internat.po ${lang}/internat.mo)
endforeach()
wx_add_sample(internat DATA ${INTERNAT_DATA_FILES} PLIST Info.plist.in DEPENDS wxUSE_INTL)
# IPC samples
set(wxSAMPLE_FOLDER ipc)
wx_add_sample(ipc client.cpp client.h connection.h ipcsetup.h NAME ipcclient LIBRARIES wxnet DEPENDS wxUSE_IPC)
wx_add_sample(ipc server.cpp server.h connection.h ipcsetup.h NAME ipcserver LIBRARIES wxnet DEPENDS wxUSE_IPC)
wx_add_sample(ipc CONSOLE baseclient.cpp connection.h ipcsetup.h NAME baseipcclient LIBRARIES wxnet DEPENDS wxUSE_IPC)
wx_add_sample(ipc CONSOLE baseserver.cpp connection.h ipcsetup.h NAME baseipcserver LIBRARIES wxnet DEPENDS wxUSE_IPC)
set(wxSAMPLE_FOLDER)
wx_add_sample(joytest joytest.cpp joytest.h DATA buttonpress.wav DEPENDS wxUSE_JOYSTICK)
wx_add_sample(keyboard)
wx_add_sample(layout layout.cpp layout.h)
wx_add_sample(listctrl listtest.cpp listtest.h RES listtest.rc DEPENDS wxUSE_LISTCTRL)
wx_add_sample(mdi mdi.cpp mdi.h RES mdi.rc DEPENDS wxUSE_MDI wxUSE_DOC_VIEW_ARCHITECTURE wxUSE_MDI_ARCHITECTURE)
wx_add_sample(mediaplayer LIBRARIES wxmedia DEPENDS wxUSE_MEDIACTRL)
if(wxBUILD_DEBUG_LEVEL STREQUAL "Default" OR wxBUILD_DEBUG_LEVEL GREATER 0)
    wx_add_sample(memcheck)
endif()
wx_add_sample(menu DEPENDS wxUSE_MENUS wxUSE_MENUBAR)
wx_add_sample(minimal IMPORTANT)
wx_add_sample(notebook notebook.cpp notebook.h LIBRARIES wxaui DEPENDS wxUSE_NOTEBOOK)
if(wxUSE_OPENGL)
    set(wxSAMPLE_SUBDIR opengl/)
    set(wxSAMPLE_FOLDER OpenGL)
    wx_add_sample(cube cube.cpp cube.h LIBRARIES wxgl)
    wx_add_sample(isosurf isosurf.cpp isosurf.h LIBRARIES wxgl DATA isosurf.dat.gz)
    wx_add_sample(penguin
        penguin.cpp dxfrenderer.cpp trackball.c
        dxfrenderer.h penguin.h trackball.h
        LIBRARIES wxgl
        DATA penguin.dxf.gz)
    wx_add_sample(pyramid
        pyramid.cpp oglstuff.cpp mathstuff.cpp oglpfuncs.cpp
        pyramid.h oglstuff.h mathstuff.h oglpfuncs.h
        LIBRARIES wxgl)
    set(wxSAMPLE_SUBDIR)
    set(wxSAMPLE_FOLDER)
endif()
wx_add_sample(ownerdrw RES ownerdrw.rc DATA sound.png nosound.png DEPENDS wxUSE_OWNER_DRAWN)
wx_add_sample(popup DEPENDS wxUSE_POPUPWIN)
wx_add_sample(power)
wx_add_sample(preferences DEPENDS wxUSE_PREFERENCES_EDITOR)
wx_add_sample(printing printing.cpp printing.h DEPENDS wxUSE_PRINTING_ARCHITECTURE)
wx_add_sample(propgrid propgrid.cpp propgrid_minimal.cpp sampleprops.cpp
    tests.cpp sampleprops.h propgrid.h LIBRARIES wxpropgrid NAME propgriddemo DEPENDS wxUSE_PROPGRID)
wx_add_sample(render FOLDER render)
wx_add_sample(render DLL renddll.cpp NAME renddll FOLDER render)
wx_add_sample(ribbon ribbondemo.cpp LIBRARIES wxribbon NAME ribbondemo DEPENDS wxUSE_RIBBON)
wx_add_sample(richtext LIBRARIES wxrichtext wxhtml wxxml NAME richtextdemo DEPENDS wxUSE_XML wxUSE_RICHTEXT)
wx_add_sample(sashtest sashtest.cpp sashtest.h RES sashtest.rc DEPENDS wxUSE_SASH)
wx_add_sample(scroll)
wx_add_sample(secretstore CONSOLE DEPENDS wxUSE_SECRETSTORE)
wx_add_sample(shaped DATA star.png)
if(wxUSE_SOCKETS)
    wx_add_sample(sockets client.cpp NAME client LIBRARIES wxnet FOLDER sockets)
    wx_add_sample(sockets server.cpp NAME server LIBRARIES wxnet FOLDER sockets)
    wx_add_sample(sockets CONSOLE baseclient.cpp NAME baseclient LIBRARIES wxnet FOLDER sockets)
    wx_add_sample(sockets CONSOLE baseserver.cpp NAME baseserver LIBRARIES wxnet FOLDER sockets)
endif()
wx_add_sample(sound RES sound.rc DATA 9000g.wav cuckoo.wav doggrowl.wav tinkalink2.wav DEPENDS wxUSE_SOUND)
wx_add_sample(splash DATA splash.png press.mpg DEPENDS wxUSE_SPLASH)
if(TARGET splash AND wxUSE_MEDIACTRL)
    wx_exe_link_libraries(splash wxmedia)
endif()
wx_add_sample(splitter DEPENDS wxUSE_SPLITTER)
wx_add_sample(statbar DEPENDS wxUSE_STATUSBAR)
wx_add_sample(stc stctest.cpp edit.cpp prefs.cpp edit.h defsext.h prefs.h
    DATA stctest.cpp NAME stctest LIBRARIES wxstc DEPENDS wxUSE_STC)
wx_add_sample(svg svgtest.cpp RES svgtest.rc DEPENDS wxUSE_SVG)
wx_add_sample(taborder)
wx_add_sample(taskbar tbtest.cpp tbtest.h DATA info.svg DEPENDS wxUSE_TASKBARICON)
wx_add_sample(text DEPENDS wxUSE_TEXTCTRL)
wx_add_sample(thread DEPENDS wxUSE_THREADS)
wx_add_sample(toolbar RES toolbar.rc DEPENDS wxUSE_TOOLBAR)
wx_add_sample(treectrl treetest.cpp treetest.h DEPENDS wxUSE_TREECTRL)
wx_add_sample(treelist DEPENDS wxUSE_TREELISTCTRL)
wx_add_sample(typetest typetest.cpp typetest.h)
wx_add_sample(uiaction DEPENDS wxUSE_UIACTIONSIMULATOR)
wx_add_sample(validate validate.cpp validate.h DEPENDS wxUSE_VALIDATORS)
wx_add_sample(vscroll vstest.cpp)
wx_add_sample(webview LIBRARIES wxwebview
    DATA ../help/doc.zip:doc.zip
    NAME webviewsample DEPENDS wxUSE_WEBVIEW)
if(TARGET webviewsample AND wxUSE_STC)
    wx_exe_link_libraries(webviewsample wxstc)
endif()
wx_add_sample(webrequest LIBRARIES wxnet DEPENDS wxUSE_WEBREQUEST)
# widgets Sample
set(SAMPLE_WIDGETS_SRC
    activityindicator.cpp
    bmpcombobox.cpp
    button.cpp
    checkbox.cpp
    choice.cpp
    clrpicker.cpp
    combobox.cpp
    datepick.cpp
    dirctrl.cpp
    dirpicker.cpp
    editlbox.cpp
    filectrl.cpp
    filepicker.cpp
    fontpicker.cpp
    gauge.cpp
    headerctrl.cpp
    hyperlnk.cpp
    itemcontainer.cpp
    listbox.cpp
    native.cpp
    notebook.cpp
    odcombobox.cpp
    radiobox.cpp
    searchctrl.cpp
    slider.cpp
    spinbtn.cpp
    static.cpp
    statbmp.cpp
    textctrl.cpp
    timepick.cpp
    toggle.cpp
    widgets.cpp
    widgets.h
    itemcontainer.h
    )
if(APPLE)
    # The source file using native controls uses Cocoa under OS X, so it must
    # be compiled as Objective C++ which means it must have .mm extension.
    # But this would make it uncompilable under the other platforms and we
    # don't want to have two files with identical contents. Hence this hack:
    # we have native.mm which just includes native.cpp under OS X, while
    # elsewhere we just compile native.cpp directly.
    list(APPEND SAMPLE_WIDGETS_SRC native_wrapper.mm)
endif()
wx_list_add_prefix(WIDGETS_RC_FILES icons/
    activityindicator.xpm bmpbtn.xpm bmpcombobox.xpm button.xpm
    checkbox.xpm choice.xpm choicebk.xpm clrpicker.xpm
    combobox.xpm datepick.xpm dirctrl.xpm dirpicker.xpm
    filepicker.xpm fontpicker.xpm gauge.xpm header.xpm
    hyperlnk.xpm listbook.xpm listbox.xpm native.xpm
    notebook.xpm odcombobox.xpm radiobox.xpm scrolbar.xpm
    slider.xpm spinbtn.xpm statbmp.xpm statbox.xpm
    stattext.xpm text.xpm timepick.xpm toggle.xpm
    )
wx_add_sample(widgets IMPORTANT ${SAMPLE_WIDGETS_SRC}
    DATA ${WIDGETS_RC_FILES} textctrl.cpp ../image/toucan.png:toucan.png
    )
# includes needed by the native widget (like gtk.h)
target_include_directories(widgets PRIVATE ${wxTOOLKIT_INCLUDE_DIRS})
wx_add_sample(wizard DATA wiztest.svg wiztest2.svg DEPENDS wxUSE_WIZARDDLG)
wx_add_sample(wrapsizer)

wx_list_add_prefix(XRC_RC_FILES rc/
    aui.xpm aui.xrc
    artprov.xpm artprov.xrc basicdlg.xpm
    basicdlg.xrc controls.xpm controls.xrc custclas.xpm custclas.xrc
    derivdlg.xpm derivdlg.xrc fileopen.gif filesave.gif frame.xrc
    fuzzy.gif menu.xrc platform.xpm platform.xrc quotes.gif
    resource.xrc toolbar.xrc uncenter.xpm
    objref.xrc objrefdlg.xpm
    uncenter.xrc update.gif
    variable.xpm variable.xrc
    variants.xpm variants.xrc
    throbber.gif stop.xpm
    stop_2x.xpm wxbanner.gif
    )
wx_add_sample(xrc
    xrcdemo.cpp
    myframe.cpp
    derivdlg.cpp
    custclas.cpp
    objrefdlg.cpp
    derivdlg.h
    xrcdemo.h
    myframe.h
    custclas.h
    objrefdlg.h
    DATA ${XRC_RC_FILES}
    LIBRARIES wxaui wxribbon wxxrc wxhtml
    NAME xrcdemo
    DEPENDS wxUSE_XML wxUSE_XRC
    )
wx_add_sample(xti xti.cpp classlist.cpp codereadercallback.cpp
    classlist.h codereadercallback.h LIBRARIES wxxml
    DEPENDS wxUSE_XML wxUSE_EXTENDED_RTTI)

if(WIN32)
    # Windows only samples

    # DLL Sample
    if(wxUSE_DYNLIB_CLASS)
        wx_add_sample(dll DLL my_dll.cpp my_dll.h NAME my_dll FOLDER dll
            DEFINITIONS MY_DLL_BUILDING)
        if(NOT wxBUILD_SHARED)
            # this test only makes sense with statically built wx, otherwise
            # the same copy of wx would be used
            wx_add_sample(dll wx_exe.cpp my_dll.h NAME wx_exe FOLDER dll)
            wx_link_sample_libraries(wx_exe my_dll)
        endif()

=== build/cmake/benchmarks/bench_graphics/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/benchmarks/bench_graphics/CMakeLists.txt
# Purpose:     CMake file for benchmarks
# Author:      Maarten Bent
# Created:     2021-02-07
# Copyright:   (c) 2021 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

set(BENCH_GRAPGICS_SRC
    graphics.cpp
    )

wx_add_benchmark(bench_graphics CONSOLE_GUI ${BENCH_GRAPGICS_SRC})

if(wxUSE_OPENGL)
    wx_exe_link_libraries(bench_graphics wxgl)
endif()

=== build/cmake/benchmarks/bench_gui/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/benchmarks/bench_gui/CMakeLists.txt
# Purpose:     CMake file for benchmarks
# Author:      Maarten Bent
# Created:     2021-02-07
# Copyright:   (c) 2021 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

set(BENCH_GUI_SRC
    bench.cpp
    bench.h
    display.cpp
    image.cpp
    )

set(IMAGE_DATA
    ../../samples/image/horse.bmp:horse.bmp
    ../../samples/image/horse.jpg:horse.jpg
    ../../samples/image/horse.png:horse.png
    ../../samples/image/horse.tif:horse.tif
    )

wx_add_benchmark(bench_gui CONSOLE_GUI ${BENCH_GUI_SRC} DATA ${IMAGE_DATA})

=== build/cmake/lib/adv/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/lib/adv/CMakeLists.txt
# Purpose:     CMake file for adv library
# Author:      Tobias Taschner
# Created:     2016-10-03
# Copyright:   (c) 2016 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

wx_add_library(wxadv "${wxSOURCE_DIR}/src/common/dummy.cpp")

=== build/cmake/lib/aui/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/lib/aui/CMakeLists.txt
# Purpose:     CMake file for aui library
# Author:      Tobias Taschner
# Created:     2016-10-04
# Copyright:   (c) 2016 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

wx_append_sources(AUI_FILES AUI_CMN)

if(WXMSW)
    wx_append_sources(AUI_FILES AUI_MSW)
elseif(WXGTK2)
    wx_append_sources(AUI_FILES AUI_GTK)
endif()

wx_add_library(wxaui ${AUI_FILES})

=== build/cmake/lib/webview/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/lib/webview/CMakeLists.txt
# Purpose:     CMake file for webview library
# Author:      Tobias Taschner
# Created:     2016-10-03
# Copyright:   (c) 2016 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

function(wx_webview_copy_webview2_loader target)
    if(NOT WXMSW OR NOT wxUSE_WEBVIEW_EDGE OR NOT TARGET ${target})
        return()
    endif()

    if(CMAKE_SIZEOF_VOID_P EQUAL 4)
        set(WEBVIEW2_ARCH x86)
    else()
        set(WEBVIEW2_ARCH x64)
    endif()

    add_custom_command(TARGET ${target} POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy
        "${WEBVIEW2_PACKAGE_DIR}/build/native/${WEBVIEW2_ARCH}/WebView2Loader.dll"
        "$<TARGET_FILE_DIR:${target}>/WebView2Loader.dll")
endfunction()


wx_append_sources(WEBVIEW_FILES WEBVIEW_CMN)

if(WXMSW)
    wx_append_sources(WEBVIEW_FILES WEBVIEW_MSW)
elseif(WXGTK)
    if(wxUSE_WEBVIEW_WEBKIT2)
        wx_append_sources(WEBVIEW_FILES WEBVIEW2_GTK)
    elseif(wxUSE_WEBVIEW_WEBKIT)
        wx_append_sources(WEBVIEW_FILES WEBVIEW_GTK)
    endif()
elseif(APPLE)
    wx_append_sources(WEBVIEW_FILES WEBVIEW_OSX_SHARED)
endif()

wx_add_library(wxwebview ${WEBVIEW_FILES})

if(APPLE)
    wx_lib_link_libraries(wxwebview PUBLIC "-framework WebKit")
elseif(WXMSW)
    if(wxUSE_WEBVIEW_EDGE)
        # Update the following variables if updating WebView2 SDK
        set(WEBVIEW2_VERSION "1.0.705.50")
        set(WEBVIEW2_URL "https://www.nuget.org/api/v2/package/Microsoft.Web.WebView2/${WEBVIEW2_VERSION}")
        set(WEBVIEW2_SHA256 "6a34bb553e18cfac7297b4031f3eac2558e439f8d16a45945c22945ac404105d")

        set(WEBVIEW2_DEFAULT_PACKAGE_DIR "${CMAKE_CURRENT_BINARY_DIR}/packages/Microsoft.Web.WebView2.${WEBVIEW2_VERSION}")

        if(NOT EXISTS ${WEBVIEW2_PACKAGE_DIR})
            unset(WEBVIEW2_PACKAGE_DIR CACHE)
        endif()
        find_path(WEBVIEW2_PACKAGE_DIR
            NAMES build/native/include/WebView2.h
            PATHS
                "${PROJECT_SOURCE_DIR}/3rdparty/webview2"
                ${WEBVIEW2_DEFAULT_PACKAGE_DIR}
        )

        if (NOT WEBVIEW2_PACKAGE_DIR)
            message(STATUS "WebView2 SDK not found locally, downloading...")
            set(WEBVIEW2_PACKAGE_DIR ${WEBVIEW2_DEFAULT_PACKAGE_DIR} CACHE PATH "WebView2 SDK PATH" FORCE)
            file(DOWNLOAD
                ${WEBVIEW2_URL}
                ${CMAKE_CURRENT_BINARY_DIR}/webview2.nuget
                EXPECTED_HASH SHA256=${WEBVIEW2_SHA256})
            file(MAKE_DIRECTORY ${WEBVIEW2_PACKAGE_DIR})
            execute_process(COMMAND
                "${CMAKE_COMMAND}" -E tar x "${CMAKE_CURRENT_BINARY_DIR}/webview2.nuget"
                WORKING_DIRECTORY "${WEBVIEW2_PACKAGE_DIR}"
            )
        endif()
        set(WEBVIEW2_PACKAGE_DIR ${WEBVIEW2_PACKAGE_DIR} CACHE INTERNAL "" FORCE)

        wx_lib_include_directories(wxwebview "${WEBVIEW2_PACKAGE_DIR}/build/native/include")
        if(NOT MSVC)
            wx_lib_include_directories(wxwebview "${wxSOURCE_DIR}/include/wx/msw/wrl")
            if (NOT wxBUILD_MONOLITHIC)
                target_compile_options(wxwebview PRIVATE -Wno-unknown-pragmas)
            endif()
        endif()

        if (wxUSE_WEBVIEW_EDGE_STATIC)
            target_link_directories(wxwebview PUBLIC
                $<BUILD_INTERFACE:${WEBVIEW2_PACKAGE_DIR}/build/native/$(LibrariesArchitecture)/>
            )
        else()
            wx_webview_copy_webview2_loader(wxwebview)
        endif()

    endif()
elseif(WXGTK)
    if(LIBSOUP_FOUND)
        wx_lib_include_directories(wxwebview ${LIBSOUP_INCLUDE_DIRS})
        wx_lib_link_libraries(wxwebview PUBLIC ${LIBSOUP_LIBRARIES})
    endif()
    if(wxUSE_WEBVIEW_WEBKIT2)
        wx_lib_include_directories(wxwebview ${WEBKIT2_INCLUDE_DIR})
        wx_lib_link_libraries(wxwebview PUBLIC ${WEBKIT2_LIBRARIES})
    elseif(wxUSE_WEBVIEW_WEBKIT)
        wx_lib_include_directories(wxwebview ${WEBKIT_INCLUDE_DIR})
        wx_lib_link_libraries(wxwebview PUBLIC ${WEBKIT_LIBRARIES})
    endif()
endif()

# webkit extension plugin
# we can't use (all of the) macros and functions because this library should
# always be build as a shared libary, and not included in the monolithic build.
if(WXGTK AND wxUSE_WEBVIEW_WEBKIT2)
    wx_append_sources(WEBKIT2_EXT_FILES WEBVIEW_WEBKIT2_EXTENSION)
    add_library(wxwebkit2_ext SHARED ${WEBKIT2_EXT_FILES})
    wx_set_target_properties(wxwebkit2_ext IS_PLUGIN)
    set_target_properties(wxwebkit2_ext PROPERTIES NO_SONAME 1)

    # Change output name to match expected name in webview_webkit2.cpp: webkit2_ext*
    set(lib_unicode)
    if(wxUSE_UNICODE)
        set(lib_unicode "u")
    endif()

    set(lib_rls)
    set(lib_dbg)
    if(WIN32_MSVC_NAMING)
        set(lib_dbg "d")
    endif()

    if(wxVERSION_IS_DEV)
        set(WX_WEB_EXT_VERSION "${wxMAJOR_VERSION}.${wxMINOR_VERSION}.${wxRELEASE_NUMBER}")
    else()
        set(WX_WEB_EXT_VERSION "${wxMAJOR_VERSION}.${wxMINOR_VERSION}")
    endif()

    set_target_properties(wxwebkit2_ext PROPERTIES
        OUTPUT_NAME       "webkit2_ext${lib_unicode}${lib_rls}-${WX_WEB_EXT_VERSION}"
        OUTPUT_NAME_DEBUG "webkit2_ext${lib_unicode}${lib_dbg}-${WX_WEB_EXT_VERSION}"
        PREFIX ""
    )

    target_include_directories(wxwebkit2_ext PRIVATE
        ${LIBSOUP_INCLUDE_DIRS}
        ${WEBKIT2_INCLUDE_DIR}
        )
    target_link_libraries(wxwebkit2_ext PUBLIC
        ${LIBSOUP_LIBRARIES}
        ${WEBKIT2_LIBRARIES}
        )

    wx_install(TARGETS wxwebkit2_ext LIBRARY DESTINATION "lib/wx/${WX_WEB_EXT_VERSION}/web-extensions")

    wx_add_dependencies(wxwebview wxwebkit2_ext)
endif()

## wxwidgets3.2 3.2.0

=== debian/changelog ===
wxwidgets3.2 (3.2.0-1.focal) focal; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.2.0 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Thu, 07 Jul 2022 17:18:29 +0100
 

wxwidgets3.1 (3.1.7-1) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.1.7 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 07 Jun 2022 14:49:12 +0100
 

wxwidgets3.1 (3.1.6-1) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.1.6 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 05 Apr 2022 12:02:57 +0100
 

wxwidgets3.1 (3.1.5-1) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.1.5 build especially for use by CodeLite.
  * Change the names of some of the packages from
    - unofficial3 to unofficial. Note that this fixes
    - various problems found in 3.1.4, but also prevents
    - GTK+2 and GTK+3 wx3.1 packages co-existing.

 -- david <david@codelite.co.uk>  Tue, 15 Apr 2021 13:25:09 +0100
 

wxwidgets3.1 (3.1.4-1) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.1.4 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 28 Jul 2020 10:02:33 +0100
 

wxwidgets3.1 (3.1.3-1) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.1.3 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 29 Oct 2019 12:27:16 +0000

wxwidgets3.1 (3.1.2-1) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.1.2 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Fri, 18 Oct 2018 12:13:07 +0100

wxwidgets3.1 (3.1.2-1).stretch) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+2 wx3.1.2 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Mon, 10 Dec 2018 16:46:02 +0000

wxwidgets3.1 (3.1.1-1).stretch) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+2 wx3.1.1 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 20 Feb 2018 12:17:22 +0000

wxwidgets3.1 (3.1.0-1).jessie) stable; urgency=low

  * Non-maintainer upload.
  * A wx3.1.0 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Tue, 01 Mar 2016 11:46:01 +0000

wxwidgets3.0 (3.0.2-1) unstable; urgency=low

  [ Olly Betts ]

  * New upstream release:
    - wxTR_EDIT_LABELS now works again.  (Closes: #762134)
  * Disable gcc4.9-workaround.patch, as GCC is now fixed in jessie and this
    bug is new in 4.9 so wheezy was never affected.

  [ Christian Beier ]

  * debian/control.in: Add BD on libnotify-dev to enable use of libnotify.
    (Closes: #745887)

 -- Olly Betts <olly@survex.com>  Tue, 07 Oct 2014 13:12:10 +1300

wxwidgets3.0 (3.0.1-3) unstable; urgency=medium

  [ Olly Betts ]

  * debian/control.in: Update "Vcs-*" fields to include the branch name.
    (Thanks vcswatch)
  * debian/control.in: Drop "Suggests: libstdc++-dev" from -dev packages
    - you need a C++ compiler installed for the -dev packages to be
    useful, which should ensure the appropriate C++ runtime -dev package
    is installed.
  * Split off the msw cross packages into debian/control.msw.in, which we
    only include in the generated debian/control when building the cross
    packages.  This avoids source-only uploads erroneously ending up in
    NEW.

  [ Gianfranco Costamagna ]

  * debian/control.in: Promote dependency of libwxgtk3.0-dev on
    "libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev" from
    "Suggests" to "Depends", as these are required to build code which uses
    wxGLCanvas.  Drop this dependency entirely from libwxgtk-media3.0-dev
    and libwxgtk-webview3.0-dev as these both depend on libwxgtk3.0-dev,
    and it is the latter which actually needs them.  (Closes: #757638)

 -- Olly Betts <olly@survex.com>  Mon, 11 Aug 2014 17:48:06 +1200

wxwidgets3.0 (3.0.1-2) unstable; urgency=medium

  * New patch gcc4.9-workaround.patch to work around GCC 4.9 bug
    #752733.
  * debian/unpack_examples.sh.in: Don't uncompress files which are
    already compressed upstream.  Add missing quoting of filenames.
    Add "set -e".

 -- Olly Betts <olly@survex.com>  Sat, 28 Jun 2014 15:00:12 +1200

wxwidgets3.0 (3.0.1-1) unstable; urgency=medium

  * New upstream release
    + Incorporates most of the patches we were carrying - only one left is:
      wx-config-conditionalise-webview-in-std.patch
  * Drop versioning of dependencies from run-time libraries to wx-common -
    this will make the transition to the next wx version harder, and also
    makes backporting to wheezy more work.
  * Mark -dbg packages as "Multi-Arch: same".
  * Correct short descriptions of the webview packages to not just be
    copies of the corresponding media package's short description.
  * Wrap 81 character line in package description.

 -- Olly Betts <olly@survex.com>  Wed, 18 Jun 2014 12:42:22 +1200

wxwidgets3.0 (3.0.0-4) unstable; urgency=medium

  * Only include webview in the "std" gui libs if libwxgtk-webview3.0-dev is
    installed (new patch wx-config-conditionalise-webview-in-std.patch).
    (Closes: #749292)

 -- Olly Betts <olly@survex.com>  Mon, 26 May 2014 14:03:35 +1200

wxwidgets3.0 (3.0.0-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]

  * Standards-Version: 3.9.5 (no changes required).
  * New libwxgtk-webview3.0-0{,-dbg,-dev} packages (Closes: #738849)
    + debian/control.in: add libwebkitgtk-dev as b-d
      needed to enable webview support
    + debian/rules: split webview library in the new package
  * Backport fix from upstream VCS:
    + debian/patches/fix-bug-736374.patch: Fix scroll with mouse wheel
      (thanks Tillmann Karras the bug report and patch url. (Closes: #736374)

  [ Olly Betts ]

  * debian/patches/propgrid-assertion-fixes.patch: Fix crash on "Try these"
    in the propgrid example (Closes: #746192)

 -- Olly Betts <olly@survex.com>  Wed, 21 May 2014 15:45:59 +1200

wxwidgets3.0 (3.0.0-2) unstable; urgency=low



=== debian/control ===
Source: wxwidgets3.2
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9), gettext, libgtk-3-dev,
 zlib1g-dev, libjpeg-dev, libpng-dev, libtiff5-dev, libsm-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 autotools-dev, libexpat1-dev, dpkg-dev (>= 1.16.1~),
 libxt-dev, libgstreamer-plugins-base1.0-dev, libgconf2-dev, libwebkitgtk-3.0-dev | libwebkit2gtk-4.0-dev,
 libnotify-dev
Maintainer: David Hart <david@codelite.co.uk>
Standards-Version: 3.9.5
Homepage: http://www.wxwidgets.org/

Package: libwxbase3.2-0-unofficial
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libwxbase3.2-0-unofficial3
Replaces: libwxbase3.1-0-unofficial3
Multi-Arch: same
Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package is only useful for non-GUI apps.  It offers a subset of the
 classes in libwx_gtk3.2 for use in console apps and daemons.  You do not need
 this package to build or use wxWidgets GUI apps.

Package: libwxbase3.2unofficial-dev
Architecture: any
Section: libdevel
Depends: wx3.2-headers, libwxbase3.2-0-unofficial (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Conflicts: libwxbase3.2unofficial3-dev, libwxbase3.2-dev
Replaces: libwxbase3.1unofficial3-dev, libwxbase3.1-dev
Suggests: gettext
Description: wxBase library (development) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package provides the files needed to compile apps using the wxBase
 library.

Package: libwxbase3.2-0-unofficial-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxbase3.2-0-unofficial (= ${binary:Version}), ${misc:Depends}
Conflicts: libwxbase3.2-0-unofficial3-dbg
Replaces: libwxbase3.1-0-unofficial3-dbg
Multi-Arch: same
Description: debugging symbols for the wxBase library
 This package contains detached debugging symbols for the wxBase library
 (part of wxWidgets).
 .
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.

Package: libwxgtk3.2-0-unofficial
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libwxbase3.2-0-unofficial (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libwxgtk3.2-0-unofficial3
Replaces: libwxgtk3.1-0-unofficial3
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the shared libraries needed to run programs linked
 against wxWidgets.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk3.2unofficial-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx3.2-headers, libwxgtk3.2-0-unofficial (= ${binary:Version}), libwxbase3.2-0-unofficial (= ${binary:Version}), libwxbase3.2unofficial-dev (= ${binary:Version}), libgl1-mesa-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev, ${misc:Depends}
Suggests: gettext
Conflicts: libwxgtk3.2-0-unofficial3-dev, libwxgtk3.2-dev
Replaces: libwxgtk3.1-0-unofficial3-dev, libwxgtk3.1-dev
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.
 .
 This package also provides the wx-config script.

Package: libwxgtk3.2-0-unofficial-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk3.2-0-unofficial (= ${binary:Version}), ${misc:Depends}
Conflicts: libwxgtk3.2-0-unofficial3-dbg
Replaces: libwxgtk3.1-0-unofficial3-dbg
Multi-Arch: same
Description: debugging symbols for the wxGTK GUI toolkit library
 This package contains detached debugging symbols for the wxGTK library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-media3.2-0-unofficial
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libwxgtk-media3.2-0-unofficial3
Replaces: libwxgtk-media3.1-0-unofficial3
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk3.2_media.

Package: libwxgtk-media3.2-0-unofficial-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk-media3.2-0-unofficial (= ${binary:Version}), libwxgtk3.2-0-unofficial-dbg (= ${binary:Version}), ${misc:Depends}
Conflicts: libwxgtk-media3.2-0-unofficial3-dbg
Replaces: libwxgtk-media3.1-0-unofficial3-dbg
Multi-Arch: same
Description: debugging symbols for the wxGTK media library
 This package contains detached debugging symbols for the wxGTK media library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-media3.2unofficial-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx3.2-headers, libwxgtk-media3.2-0-unofficial (= ${binary:Version}), libwxgtk3.2unofficial-dev (= ${binary:Version}), ${misc:Depends}
Conflicts: libwxgtk-media3.2-0-unofficial3-dev, libwxgtk-media3.2-dev
Replaces: libwxgtk-media3.1-0-unofficial3-dev, libwxgtk-media3.1-dev
Suggests: gettext
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxgtk-media library.

Package: libwxgtk-webview3.2-0-unofficial
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libwxgtk-webview3.2-0-unofficial3
Replaces: libwxgtk-webview3.1-0-unofficial3
Multi-Arch: same
Description: wxWidgets Cross-platform C++ GUI toolkit (webview library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the webview shared libraries needed to run programs
 linked against libwx_gtk_webview3.2.

Package: libwxgtk-webview3.2-0-unofficial-dbg
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Section: debug
Priority: extra
Depends: libwxgtk-webview3.2-0-unofficial(= ${binary:Version}), libwxgtk3.2-0-unofficial-dbg (= ${binary:Version}), ${misc:Depends}
Conflicts: libwxgtk-webview3.2-0-unofficial3-dbg
Replaces: libwxgtk-webview3.1-0-unofficial3-dbg
Suggests: libwebkitgtk-3.0-0-dbg
Multi-Arch: same
Description: debugging symbols for the wxGTK webview library
 This package contains detached debugging symbols for the wxGTK3.2unofficial webview library
 (part of wxWidgets).
 .
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).

Package: libwxgtk-webview3.2unofficial-dev
Architecture: any
Section: libdevel
Depends: wx-common, wx3.2-headers, libwxgtk-webview3.2-0-unofficial (= ${binary:Version}), libwxgtk3.2unofficial-dev (= ${binary:Version}), ${misc:Depends}
Conflicts: libwxgtk-webview3.2unofficial3-dev
Replaces: libwxgtk-webview3.1unofficial3-dev
Suggests: gettext
Description: wxWidgets Cross-platform C++ GUI toolkit (webview library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxgtk-webview library.


Package: wx-common
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: zip
Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides common support files not bound to any
 particular wxWidgets release, such as font metrics required by some
 ports, and miscellaneous developer aids and binary utilities.

Package: wx3.2-headers
Architecture: any
Section: devel
Depends: ${misc:Depends}
Conflicts: wx3.1gtk2-headers, wx3.2-headers
Replaces: wx3.1gtk2-headers, wx3.1-headers
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the common header files required to build applications
 using the wxWidgets toolkit.

Package: wx3.2-i18n
Architecture: all
Depends: ${misc:Depends}
Provides: wx-i18n
Section: localization
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the i18n message catalogs for wxWidgets.

Package: wx3.2-examples
Architecture: all
Section: devel
Depends: ${misc:Depends}
Suggests: libwxgtk3.2-dev (= ${binary:Version})
Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package contains examples of using the wxWidgets toolkit in
 C++.
